export interface DataClassificationInterface {

	getData() : Array<any>;

  getParentFields() : Array<any>;
  addNewParent();
  updateParent();
  removeParent();

  getChildFields() : Array<any>;
  addNewChild();
  updateChild();
	removeChild();  

  isOneToMany() : boolean;
  isHierarchical() : boolean;
  getLabels() : any;

  getHeader() : string;
  getFooter() : string;

  isNewParentAvailable() : boolean;
  isNewChildAvailable() : boolean;
}