import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { JobClassificationService } from '../../services/job_classification.service';
import { UserRolesService } from '../../services/user_roles.service';
import { ServiceRouterService } from '../../services/service_router.service';
@Component({
  selector: 'home-page',
  templateUrl: './home.component.html',
  styleUrls: ['./home.component.scss'],
  providers: [
  	{
      provide: 'DataClassificationInterface', useClass: JobClassificationService
    },
    {
  		provide: 'CardwallInterface', useClass: UserRolesService
    },
    {
      provide: 'ServiceRouterCardwallInterface', useClass: ServiceRouterService
    }
  ]
})
export class HomeComponent implements OnInit {
  constructor(
    private router: Router,
    private job_classification_service: JobClassificationService,
    private user_roles_service: UserRolesService,
    private service_router_service: ServiceRouterService
  ) {}

  ngOnInit() {
  }

  click_card(card_data) {
    console.log("------------------------------home component--------------------------------------");
    console.log(card_data);
  }
}
