import { NgModule }                         from '@angular/core';
import { Routes, RouterModule }             from '@angular/router';

import { HomeComponent } from './components';

export const HomeRoutes: Routes = [
    { path: '', redirectTo: 'dashboard', pathMatch: 'full' },
    { 
    	path: 'dashboard',            
    	component: HomeComponent,
    	resolve: {
    	}
    },
];

@NgModule({
    imports: [ RouterModule.forChild(HomeRoutes) ],
    exports: [ RouterModule ]
})
export class HomeRoutingModule {}
