import { Injectable } from '@angular/core';
import { CardwallInterface } from '../../../components_src'

@Injectable()
export class UserRolesService implements CardwallInterface{
  getData() {
    let cardwall_data: Array<any> = [
      {
        name: "Predispatch",
        color: "red",
        cards: [
          {card_no: 111, status: 1, description: "description for specific card here", due_date: "Jun 05"},
          {card_no: 112, status: 1, description: "description for specific card here", due_date: "Jun 05"}
        ]
      },
      {
        name: "Dispatch",
        color: "green",
        cards: [
          {card_no: 113, status: 2, description: "description for specific card here", due_date: "Jun 05"},
          {card_no: 114, status: 2, description: "description for specific card here", due_date: "Jun 05"}
        ]
      },
      {
        name: "Invoice",
        color: "yellow",
        cards: [
          {card_no: 115, status: 3, description: "description for specific card here", due_date: "Jun 05"},
          {card_no: 116, status: 3, description: "description for specific card here", due_date: "Jun 05"}
        ]
      },
      {
        name: "Close",
        color: "deep-purple",
        cards: [
          {card_no: 117, status: 4, description: "description for specific card here", due_date: "Jun 05"},
          {card_no: 118, status: 4, description: "description for specific card here", due_date: "Jun 05"}
        ]
      },
    ];
    return cardwall_data;
  }

  canPredispatchTicket() {
    return true;
  }

  canDispatchTicket() {
    return true;
  }

  canPriceParts() {
    return true;
  }

  canReassignTechnician() {
    return false;
  }

  canViewTechnicianQueue() {
    return true;
  }

  canViewInspections() {
    return true;
  }

  canViewServiceTicketJobsInProcess() {
    return true;
  }

  canHandleApprovals() {
    return true;
  }

  canViewServiceTicketComplete() {
    return true;
  }

  canHandleInvoice() {
    return true;
  }

  canViewClose() {
    return true;
  }  

}