import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { MdDialogRef, MdDialog, MdDialogConfig } from '@angular/material';
import { Router } from '@angular/router';
import { CardDetailDialogComponent } from './index';
declare var $;

@Component({
  selector: 'card',
  templateUrl: './card.component.html',
  styleUrls: ['./card.component.css']
})
export class CardComponent implements OnInit {
  @Input() bgcolor:string = "red";
  @Input() card_data: any;
  @Output() click_card = new EventEmitter();

  constructor(
    private router: Router,
    private dialog: MdDialog,
  ) {}

  ngOnInit() {
  }
  showDetail() {
    // let dialogRef: MdDialogRef<CardDetailDialogComponent>;
    // dialogRef = this.dialog.open(CardDetailDialogComponent, {
    //   height: '80%',
    //   width: '85%'
    // });
    // dialogRef.afterClosed().subscribe(result => {
    //   console.log('Dialog Result: ${result}');
    // });        
    this.click_card.emit(this.card_data);
  }
  
  getProperString(source) {
    if (source.length > 20) {
      return source.substr(0, 20) + "..."
    } 
    else {
      return source
    }
  }  
}

