import { MdDialogRef } from '@angular/material';
import { Component, Inject, OnInit, Input, Output, EventEmitter, ElementRef, ViewChild } from '@angular/core';
import { DataClassificationInterface } from '../interface/data_classification.interface';
declare var $;

@Component({
    selector: 'new-parent-dialog',
    templateUrl: './new_parent_dialog.component.html',
    styleUrls: ['./new_parent_dialog.component.css'],
    providers: [
    ]
})
export class NewParentDialogComponent implements OnInit{
	public fields_for_parent: Array<any> = [
		"title",
		"description"
	];

  public parent = "parent";
  public parent_description : string = "Please fill in the form";
  @ViewChild("group_selector") group_selector: any;
  @ViewChild("items_selector") items_selector: any;

  private groups = [
    {
      label: 'role1',
      description: "adfadsfzcnm kaf akasjf asz sdv",
      parent: '',
      items: ["read", "write"]
    }
  ];
  private items = [
    {
      group_name: "group1",
      items: [
        {
          name: "item1",
          property: "read",
        },
        {
          name: "item2",
          property: "write",
        },
        {
          name: "item3",
          property: "update",
        },
      ],
    },  
    {
      group_name: "group2",
      items: [
        {
          name: "item4",
          property: "a",
        },
        {
          name: "item5",
          property: "b",
        },
        {
          name: "item6",
          property: "c",
        },
      ],
    },  
    {
      group_name: "group3",
      items: [
        {
          name: "item7",
          property: "d",
        },
        {
          name: "item8",
          property: "e",
        },
        {
          name: "item9",
          property: "f",
        },
      ],
    },  
  ];

  public title: string;
  public message: string;


  private label : string;
  private description : string;
  private disabled_items: any = [];

  constructor(public dialogRef: MdDialogRef<NewParentDialogComponent>) {

  }

  ngOnInit() {

  }

  ngAfterViewInit() {
  	$('.multi-select').multiSelect();
  }

  isDisabled(item) {
  	return false;
  }
}