import { OnInit, EventEmitter } from '@angular/core';
import { Router } from '@angular/router';
import { DragulaService } from 'ng2-dragula/ng2-dragula';
import { CardwallInterface } from '../interface/cardwall.interface';
export declare class CardwallComponent implements OnInit {
    private router;
    private dragulaService;
    private cardwall_service;
    private cardwall_data;
    click_card: EventEmitter<{}>;
    private search_text;
    private advanced_search_text;
    constructor(router: Router, dragulaService: DragulaService, cardwall_service: CardwallInterface);
    getCardwallData(): any[];
    ngOnInit(): void;
    getDurationDays(date1: any, date2: any): number;
    private hasClass(el, name);
    private addClass(el, name);
    private removeClass(el, name);
    private onDrag(args);
    private onDrop(args);
    private onOver(args);
    private onOut(args);
    private onRemove(args);
    advancedSearch(): void;
    doAdvancedSearch(): void;
    _click_card(card_data: any): void;
}
