import { MdDialogRef } from '@angular/material';
import { Component, ViewChild } from '@angular/core';
var NewChildDialogComponent = (function () {
    function NewChildDialogComponent(dialogRef) {
        this.dialogRef = dialogRef;
        this.fields_for_child = [
            "title",
            "description"
        ];
        this.isOneToMany = true;
        this.child = "child";
        this.child_description = "Please fill in the form";
        this.groups = [
            {
                label: 'role1',
                description: "adfadsfzcnm kaf akasjf asz sdv",
                parent: '',
                items: ["read", "write"]
            }
        ];
        this.items = [
            {
                group_name: "group1",
                items: [
                    {
                        name: "item1",
                        property: "read",
                    },
                    {
                        name: "item2",
                        property: "write",
                    },
                    {
                        name: "item3",
                        property: "update",
                    },
                ],
            },
            {
                group_name: "group2",
                items: [
                    {
                        name: "item4",
                        property: "a",
                    },
                    {
                        name: "item5",
                        property: "b",
                    },
                    {
                        name: "item6",
                        property: "c",
                    },
                ],
            },
            {
                group_name: "group3",
                items: [
                    {
                        name: "item7",
                        property: "d",
                    },
                    {
                        name: "item8",
                        property: "e",
                    },
                    {
                        name: "item9",
                        property: "f",
                    },
                ],
            },
        ];
        this.disabled_items = [];
    }
    NewChildDialogComponent.prototype.ngOnInit = function () {
    };
    NewChildDialogComponent.prototype.ngAfterViewInit = function () {
        $('.multi-select').multiSelect();
    };
    NewChildDialogComponent.prototype.isDisabled = function (item) {
        return false;
    };
    return NewChildDialogComponent;
}());
export { NewChildDialogComponent };
NewChildDialogComponent.decorators = [
    { type: Component, args: [{
                selector: 'new-child-dialog',
                template: "\n      <h2 md-dialog-title>Add {{ child }}</h2>\n      <p> {{ child_description }}</p>\n      <md-dialog-content>\n        <div class=\"row\" *ngFor=\"let field of fields_for_child;\">\n          <div class=\"input-field col-sm-12\">\n            <md-input-container class=\"field-wrapper\">\n              <input mdInput placeholder=\"{{ field }}\">\n            </md-input-container>\n          </div>\n        </div>\n        <div class=\"row\">\n          <div class=\"col-sm-12\" *ngIf=\"!isOneToMany\">\n            <select multiple=\"multiple\" class=\"multi-select\" name=\"my-select[]\">\n                <option *ngFor=\"let group of items\" [value]=\"group.group_name\" [disabled]=\"isDisabled(item)\">{{group.group_name }}</option>\n            </select>          \n          </div>        \n          <md-select placeholder=\"Parent\" class=\"col-sm-12\"  *ngIf=\"isOneToMany\">\n             <md-option *ngFor=\"let group of items\" [value]=\"group.group_name\">{{ group.group_name }}</md-option>\n          </md-select>\n        </div>      \n      </md-dialog-content>\n      <md-dialog-actions>\n      \t<button md-button md-dialog-close>Add</button>\n      \t<button md-button md-dialog-close>Cancel</button>\n      </md-dialog-actions>\n    ",
                styles: ["\n      .row{margin-bottom:20px}.field-wrapper{width:100%}.mat-dialog-actions{float:right}\n    "]
            },] },
];
/** @nocollapse */
NewChildDialogComponent.ctorParameters = function () { return [
    { type: MdDialogRef, },
]; };
NewChildDialogComponent.propDecorators = {
    'group_selector': [{ type: ViewChild, args: ["group_selector",] },],
    'items_selector': [{ type: ViewChild, args: ["items_selector",] },],
};
//# sourceMappingURL=new_child_dialog.component.js.map