import { MdDialogRef } from '@angular/material';
import { Component, ViewChild } from '@angular/core';
var NewParentDialogComponent = (function () {
    function NewParentDialogComponent(dialogRef) {
        this.dialogRef = dialogRef;
        this.fields_for_parent = [
            "title",
            "description"
        ];
        this.parent = "parent";
        this.parent_description = "Please fill in the form";
        this.groups = [
            {
                label: 'role1',
                description: "adfadsfzcnm kaf akasjf asz sdv",
                parent: '',
                items: ["read", "write"]
            }
        ];
        this.items = [
            {
                group_name: "group1",
                items: [
                    {
                        name: "item1",
                        property: "read",
                    },
                    {
                        name: "item2",
                        property: "write",
                    },
                    {
                        name: "item3",
                        property: "update",
                    },
                ],
            },
            {
                group_name: "group2",
                items: [
                    {
                        name: "item4",
                        property: "a",
                    },
                    {
                        name: "item5",
                        property: "b",
                    },
                    {
                        name: "item6",
                        property: "c",
                    },
                ],
            },
            {
                group_name: "group3",
                items: [
                    {
                        name: "item7",
                        property: "d",
                    },
                    {
                        name: "item8",
                        property: "e",
                    },
                    {
                        name: "item9",
                        property: "f",
                    },
                ],
            },
        ];
        this.disabled_items = [];
    }
    NewParentDialogComponent.prototype.ngOnInit = function () {
    };
    NewParentDialogComponent.prototype.ngAfterViewInit = function () {
        $('.multi-select').multiSelect();
    };
    NewParentDialogComponent.prototype.isDisabled = function (item) {
        return false;
    };
    return NewParentDialogComponent;
}());
export { NewParentDialogComponent };
NewParentDialogComponent.decorators = [
    { type: Component, args: [{
                selector: 'new-parent-dialog',
                template: "\n      <h2 md-dialog-title>Add {{ parent }}</h2>\n      <p> {{ parent_description }}</p>\n      <md-dialog-content>\n        <div class=\"row\" *ngFor=\"let field of fields_for_parent;\">\n          <div class=\"input-field col-sm-12\">\n            <md-input-container class=\"field-wrapper\">\n            \t<input mdInput placeholder=\"{{ field }}\">\n            </md-input-container>\n          </div>\n        </div>\n        <div class=\"row\">\n          <div class=\"input-field col-sm-12\">\n      \t\t\t<md-select placeholder=\"Parent\" class=\"field-wrapper\">\n      \t\t\t\t<md-option>None</md-option>\n      \t\t\t  <md-option *ngFor=\"let group of groups\" [value]=\"group.label\">{{ group.label }}</md-option>\n      \t\t\t</md-select>    \t\n          </div>      \n        </div>\n        <div class=\"row\">\n          <div class=\"col-sm-12\">\n            <select multiple=\"multiple\" class=\"multi-select\" name=\"my-select[]\">\n              <optgroup *ngFor=\"let group of items\" label=\"{{group.group_name}}\">\n                <option *ngFor=\"let item of group.items\" [value]=\"item.property\" [disabled]=\"isDisabled(item)\">{{item.property}}</option>\n              </optgroup>\n            </select>          \n          </div>        \n        </div>      \n      </md-dialog-content>\n      <md-dialog-actions>\n      \t<button md-button md-dialog-close>Add</button>\n      \t<button md-button md-dialog-close>Cancel</button>\n      </md-dialog-actions>\n    ",
                styles: ["\n      .row{margin-bottom:20px}.field-wrapper{width:100%}.mat-dialog-actions{float:right}\n    "],
                providers: []
            },] },
];
/** @nocollapse */
NewParentDialogComponent.ctorParameters = function () { return [
    { type: MdDialogRef, },
]; };
NewParentDialogComponent.propDecorators = {
    'group_selector': [{ type: ViewChild, args: ["group_selector",] },],
    'items_selector': [{ type: ViewChild, args: ["items_selector",] },],
};
//# sourceMappingURL=new_parent_dialog.component.js.map