export interface DataClassificationInterface {
    getData(): Array<any>;
    getParentFields(): Array<any>;
    addNewParent(): any;
    updateParent(): any;
    removeParent(): any;
    getChildFields(): Array<any>;
    addNewChild(): any;
    updateChild(): any;
    removeChild(): any;
    isOneToMany(): boolean;
    isHierarchical(): boolean;
    getLabels(): any;
    getHeader(): string;
    getFooter(): string;
    isNewParentAvailable(): boolean;
    isNewChildAvailable(): boolean;
}
