import { NgModule }                         from '@angular/core';
import { Routes, RouterModule }             from '@angular/router';
//Components
import { HomeLayoutComponent } from './home';
//Import Routes
import { HomeRoutes } from './home' 

export const routes: Routes = [
    { path: '', redirectTo: 'home', pathMatch: "full" },
    //Routes for Home
    { 
        path: 'home',
        component: HomeLayoutComponent,
        children: [
            {
                path: '',
                children: [...HomeRoutes]
            },
        ]
    },
];

@NgModule({
    imports: [ RouterModule.forRoot(routes) ],
    exports: [ RouterModule ]
})
export class AppRoutingModule {}
